Bug 125005 - Unable to create a slave DNS server
Unable to create a slave DNS server
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-bind (Show other bugs)
2
noarch Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-01 19:47 EDT by Jonathan
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version: system-config-bind-4.0.0-16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-03 10:31:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan 2004-06-01 19:47:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.2)
Gecko/20040308

Description of problem:
This system is a Fedora Core 2 system with all of the relevent updates
as of 5/31 (via yum).  I've got the following bind related packages
installed:

bind-libs-9.2.3-13
bind-utils-9.2.3-13
bind-9.2.3-13
system-config-bind-2.0.2-5
bind-chroot-9.2.3-13


  I've created a the config for a slave server with
system-config-bind.    The file domain.com.zone is created in the
slaves directory.  This file is not complete.  It has a serial number
and the min/expire information, but its NOT even close to what my
master server has.  I've been looking in the log files for both the
master and slave.  The master seems to be happy.  I've added the
"allow-transfer" option and I don't see any error messages regarding
this.  The slave, however seems to be kicking back volumes:


Jun  1 23:41:06 ops1 named[4726]: starting BIND 9.2.3 -u named -t
/var/named/chroot
Jun  1 23:41:06 ops1 named[4726]: using 1 CPU
Jun  1 23:41:06 ops1 named[4726]: loading configuration from
'/etc/named.conf'
Jun  1 23:41:06 ops1 named[4726]: listening on IPv4 interface lo,
127.0.0.1#53
Jun  1 23:41:06 ops1 named[4726]: listening on IPv4 interface eth0,
10.11.12.8#53
Jun  1 23:41:06 ops1 named[4726]: couldn't add command channel
127.0.0.1#953: not found
Jun  1 23:41:06 ops1 named[4726]: couldn't add command channel
::1#953: not found
Jun  1 23:41:06 ops1 named[4726]: running
Jun  1 23:41:06 ops1 named[4726]: dumping master file:
slaves/tmp-XXXXM8tev5: open: file not found
Jun  1 23:41:06 ops1 named[4726]: transfer of 'domain1.com/IN' from
216.218.236.19#53: failed while receiving responses: file not found
Jun  1 23:41:06 ops1 named[4726]: transfer of 'domain1.com/IN' from
216.218.236.19#53: end of transfer
Jun  1 16:41:06 ops1 named: named startup succeeded
Jun  1 23:41:07 ops1 named[4726]: dumping master file:
slaves/tmp-XXXXSJcqjk: open: file not found
Jun  1 23:41:07 ops1 named[4726]: transfer of 'domain2.com/IN' from
216.218.236.19#53: failed while receiving responses: file not found
Jun  1 23:41:07 ops1 named[4726]: transfer of 'domain2.com/IN' from
216.218.236.19#53: end of transfer


To be on the safe side, I've already restarted bind, installed bind
and rebooted the machine [hey it works for windows ;) ]




Version-Release number of selected component (if applicable):
bind-9.2.3-13

How reproducible:
Always

Steps to Reproduce:
1.launch system-config-bind
2.try to configure a slave server
3.save & quit
    

Actual Results:  My server isn't a slave for the domains I've configured

Expected Results:  My server should be a slave for the domains I've
configured

Additional info:
Comment 1 Ossama Khayat 2004-06-19 13:17:25 EDT
Just to confirm, the GUI actually doesn't work for anything any more!!
You can't add a @ for the SOA records for example. When you create a
new master zone, add the NS address, it take only the first octet of
the IP. Even if you have a manually setup DNS, it will screw it up. I
really suffered, though it was working fine uptil RH9 (AFAIR).

The good thing is that I _had_ to learn how to configure DNS using the
/etc/named.conf and /var/named directory :)
Comment 2 Matthew Miller 2005-04-26 11:49:33 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 3 Jason Vas Dias 2005-06-03 10:31:47 EDT
This bug is not in the latest s-c-b-4.0.0-16 version, which can
be downloaded from: 
http://people.redhat.com/~jvdias/system-config-bind


Note You need to log in before you can comment on or make changes to this bug.